searchNodes=[{"doc":"Main entry point for consumers. Will parse the provided payload and return a version (currently only v1 and v2 exist) struct. Tokens are broken up into several components: version: v1 or v2 -- v2 suggested purpose: Local or Public -- Local -&gt; Symmetric Encryption for payload &amp; Public -&gt; Asymmetric Encryption for payload payload: A signed or encrypted &amp; b64 encoded string footer: An optional value, often used for storing keyIDs or other similar info.","ref":"Paseto.html","title":"Paseto","type":"module"},{"doc":"Handles generating a token: Tokens are broken up into several components: version: v1 or v2 -- v2 suggested purpose: Local or Public -- Local -&gt; Symmetric Encryption for payload &amp; Public -&gt; Asymmetric Encryption for payload payload: A signed or encrypted &amp; b64 encoded string footer: An optional value, often used for storing keyIDs or other similar info. Examples: iex&gt; { :ok , pk , sk } = Salty.Sign.Ed25519 . keypair ( ) iex&gt; token = generate_token ( &quot;v2&quot; , &quot;public&quot; , &quot;This is a test message&quot; , sk ) &quot;v2.public.VGhpcyBpcyBhIHRlc3QgbWVzc2FnZSe-sJyD2x_fCDGEUKDcvjU9y3jRHxD4iEJ8iQwwfMUq5jUR47J15uPbgyOmBkQCxNDydR0yV1iBR-GPpyE-NQw&quot; iex&gt; Paseto . parse_token ( token , pk ) { :ok , % Paseto.Token { footer : nil , payload : &quot;This is a test message&quot; , purpose : &quot;public&quot; , version : &quot;v2&quot; } }","ref":"Paseto.html#generate_token/5","title":"Paseto.generate_token/5","type":"function"},{"doc":"Handles parsing a token. Providing it just the entire token will return the Paseto.Token struct with all fields populated. Examples: iex&gt; token = &quot;v2.public.VGhpcyBpcyBhIHRlc3QgbWVzc2FnZSe-sJyD2x_fCDGEUKDcvjU9y3jRHxD4iEJ8iQwwfMUq5jUR47J15uPbgyOmBkQCxNDydR0yV1iBR-GPpyE-NQw&quot; iex&gt; Paseto . parse_token ( token , pk ) { :ok , % Paseto.Token { footer : nil , payload : &quot;This is a test message&quot; , purpose : &quot;public&quot; , version : &quot;v2&quot; } }","ref":"Paseto.html#parse_token/2","title":"Paseto.parse_token/2","type":"function"},{"doc":"","ref":"Paseto.html#peek/1","title":"Paseto.peek/1","type":"function"},{"doc":"The Token represents the claims object passed between services, over rpc, &amp;c.","ref":"Paseto.Token.html","title":"Paseto.Token","type":"module"},{"doc":"","ref":"Paseto.Token.html#t:t/0","title":"Paseto.Token.t/0","type":"type"},{"doc":"The Version1 implementation of the Paseto protocol. More information about the implementation can be found here: 1.) https://github.com/paragonie/paseto/blob/master/docs/01-Protocol-Versions/Version1.md","ref":"Paseto.V1.html","title":"Paseto.V1","type":"module"},{"doc":"Handles decrypting a token given the correct key Examples: iex&gt; token = Paseto.V1 . encrypt ( &quot;This is a test message&quot; , &quot;Test Key&quot; ) iex&gt; token &quot;v1.local.3qbJND5q6IbF7cZxxWjmSTaVyMo2M3LaEDJ8StdFXw8PTUo55YIyy2BhIaAN6m-IdbGmdwM_ud1IpOyrz3CysNIkjBjab7NLRPbksV-XIsWYRFX6r7z2jsIfH-8emAv_BVtXi9lY&quot; iex&gt; Paseto.V1 . decrypt ( token , &quot;Test Key&quot; ) &quot;{:ok, &quot; This is a test message &quot;}&quot;","ref":"Paseto.V1.html#decrypt/3","title":"Paseto.V1.decrypt/3","type":"function"},{"doc":"Handles encrypting the payload and returning a valid token Examples: iex&gt; Paseto.V1 . encrypt ( &quot;This is a test message&quot; , &quot;Test Key&quot; ) &quot;v1.local.3qbJND5q6IbF7cZxxWjmSTaVyMo2M3LaEDJ8StdFXw8PTUo55YIyy2BhIaAN6m-IdbGmdwM_ud1IpOyrz3CysNIkjBjab7NLRPbksV-XIsWYRFX6r7z2jsIfH-8emAv_BVtXi9lY&quot;","ref":"Paseto.V1.html#encrypt/4","title":"Paseto.V1.encrypt/4","type":"function"},{"doc":"Takes a token and will decrypt/verify the signature and return the token in a more digestable manner","ref":"Paseto.V1.html#from_token/1","title":"Paseto.V1.from_token/1","type":"function"},{"doc":"Allows looking at the claims without having verified them.","ref":"Paseto.V1.html#peek/1","title":"Paseto.V1.peek/1","type":"function"},{"doc":"Handles signing the token for public use. Examples: iex&gt; { public_key , secret_key } = :crypto . generate_key ( :rsa , { 2048 , 65_537 } ) iex&gt; Paseto.V1 . sign ( &quot;This is a test message!&quot; , secret_key ) &quot;v1.public.VGhpcyBpcyBhIHRlc3QgbWVzc2FnZSGswqHiZVv31r99PZphr2hqJQe81Qc_7XkxHyVb_7-xORKp-VFJdEiqfINgLnwxo8n1pkIDH4_9UfhpEyS1ivgxfYe-55INfV-OyzSpHMbuGA0xviIln0fdn98QljGwh3uDFduXnfaWeBYA6nE0JingWEvVG-V8L12IdFh1rq9ZWLleFVsn719Iz8BqsasmFAICLRpnToL7X1syHdZ6PjhBnStCM5GHHzCwbdvj64P5QqxvtUzTfXBBeC-IKu_HVxIxY9VaN3d3KQotBZ1J6W1oJ4cX0JvUR4pIaq3eKfOKdoR5fUkyjS0mP9GjjoJcW8oiKKqb3dAaCHZW9he2iZNn&quot;","ref":"Paseto.V1.html#sign/3","title":"Paseto.V1.sign/3","type":"function"},{"doc":"Handles verifying the signature belongs to the provided key. Examples: iex&gt; { public_key , secret_key } = :crypto . generate_key ( :rsa , { 2048 , 65_537 } ) iex&gt; token = Paseto.V1 . sign ( &quot;This is a test message!&quot; , secret_key ) &quot;v1.public.VGhpcyBpcyBhIHRlc3QgbWVzc2FnZSGswqHiZVv31r99PZphr2hqJQe81Qc_7XkxHyVb_7-xORKp-VFJdEiqfINgLnwxo8n1pkIDH4_9UfhpEyS1ivgxfYe-55INfV-OyzSpHMbuGA0xviIln0fdn98QljGwh3uDFduXnfaWeBYA6nE0JingWEvVG-V8L12IdFh1rq9ZWLleFVsn719Iz8BqsasmFAICLRpnToL7X1syHdZ6PjhBnStCM5GHHzCwbdvj64P5QqxvtUzTfXBBeC-IKu_HVxIxY9VaN3d3KQotBZ1J6W1oJ4cX0JvUR4pIaq3eKfOKdoR5fUkyjS0mP9GjjoJcW8oiKKqb3dAaCHZW9he2iZNn&quot; iex&gt; [ version , purpose , payload ] = String . split ( token , &quot;.&quot; ) iex&gt; V1 . verify ( version &lt;&gt; &quot;.&quot; &lt;&gt; purpose &lt;&gt; &quot;.&quot; , payload , public_key ) &quot;{:ok, &quot; This is a test message! &quot;}&quot;","ref":"Paseto.V1.html#verify/3","title":"Paseto.V1.verify/3","type":"function"},{"doc":"The Version2 implementation of the Paseto protocol. More information about the implementation can be found here: 1.) https://github.com/paragonie/paseto/blob/master/docs/01-Protocol-Versions/Version2.md In short, asymmetric encryption is handled by Ed25519, whereas symmetric encryption is handled by xchachapoly1305 Libsodium bindings are used for these crypto functions.","ref":"Paseto.V2.html","title":"Paseto.V2","type":"module"},{"doc":"Handles decrypting a token payload given the correct key. Examples: iex&gt; key = &lt;&lt; 56 , 165 , 237 , 250 , 173 , 90 , 82 , 73 , 227 , 45 , 166 , 36 , 121 , 213 , 122 , 227 , 188 , 168 , 248 , 190 , 39 , 11 , 243 , 40 , 236 , 206 , 123 , 237 , 189 , 43 , 220 , 66 &gt;&gt; iex&gt; Paseto.V2 . decrypt ( &quot;AUfxx2uuiOXEXnYlMCzesBUohpewQTQQURBonherEWHcRgnaJfMfZXCt96hciML5PN9ozels1bnPidmFvVc&quot; , key ) { :ok , &quot;This is a test message&quot; }","ref":"Paseto.V2.html#decrypt/3","title":"Paseto.V2.decrypt/3","type":"function"},{"doc":"Handles encrypting the payload and returning a valid token Examples: iex&gt; key = &lt;&lt; 56 , 165 , 237 , 250 , 173 , 90 , 82 , 73 , 227 , 45 , 166 , 36 , 121 , 213 , 122 , 227 , 188 , 168 , 248 , 190 , 39 , 11 , 243 , 40 , 236 , 206 , 123 , 237 , 189 , 43 , 220 , 66 &gt;&gt; iex&gt; Paseto.V2 . encrypt ( &quot;This is a test message&quot; , key ) &quot;v2.local.voHwaLKK64eSfnCGoJuxJvoyncIpDrg2AkFbRTBeOOBdytn8XoRtl_sRORjlGdTvPageE38TR7dVlv5wxw0&quot;","ref":"Paseto.V2.html#encrypt/4","title":"Paseto.V2.encrypt/4","type":"function"},{"doc":"Callback implementation for c:Paseto.VersionBehaviour.from_token/1 .","ref":"Paseto.V2.html#from_token/1","title":"Paseto.V2.from_token/1","type":"function"},{"doc":"Allows looking at the claims without having verified them.","ref":"Paseto.V2.html#peek/1","title":"Paseto.V2.peek/1","type":"function"},{"doc":"Handles signing the token for public use. Examples: iex&gt; { :ok , pk , sk } = Salty.Sign.Ed25519 . keypair ( ) iex&gt; Paseto.V2 . sign ( &quot;Test Message&quot; , sk ) &quot;v2.public.VGVzdAJxQsXSrgYBkcwiOnWamiattqhhhNN_1jsY-LR_YbsoYpZ18-ogVSxWv7d8DlqzLSz9csqNtSzDk4y0JV5xaAE&quot;","ref":"Paseto.V2.html#sign/3","title":"Paseto.V2.sign/3","type":"function"},{"doc":"Handles verifying the signature belongs to the provided key. Examples: iex&gt; { :ok , pk , sk } = Salty.Sign.Ed25519 . keypair ( ) iex&gt; Paseto.V2 . sign ( &quot;Test Message&quot; , sk ) &quot;v2.public.VGVzdAJxQsXSrgYBkcwiOnWamiattqhhhNN_1jsY-LR_YbsoYpZ18-ogVSxWv7d8DlqzLSz9csqNtSzDk4y0JV5xaAE&quot; iex&gt; Paseto.V2 . verify ( &quot;VGVzdAJxQsXSrgYBkcwiOnWamiattqhhhNN_1jsY-LR_YbsoYpZ18-ogVSxWv7d8DlqzLSz9csqNtSzDk4y0JV5xaAE&quot; , pk ) &quot;{:ok, &quot; Test &quot;}&quot;","ref":"Paseto.V2.html#verify/3","title":"Paseto.V2.verify/3","type":"function"}]